# cpl generate

## Contents

- Description

- Arguments

- Schematics

Generate a file based on schematic.

cpl generate <schematic> <name>
cpl g <schematic> <name>
cpl G <schematic> <name>

## Description

Generates files based on a schematic.

## Arguments

Argument | Description | Value type
--- | --- | ---
`<schematic>` | The schematic to generate. | `str`
`<name>` | The name of the generated file. | `str`

## Schematics

Schematic | Description | Arguments
--- | --- | ---
`abc` | Abstract base class | `<name>`
`class` | Class | `<name>`
`enum` | Enum class | `<name>`
`pipe` | Pipe class | `<name>`
`service` | Service class | `<name>`
`settings` | Configmodel | `<name>`
`test` | Test class | `<name>`
`thread` | Thread class | `<name>`
`validator` | Validator class | `<name>`